export const NODE_DATA = [
	{
		Children: [
			{
				Children: [
					{
						Children: [],
						Id: 'monitor-formula',
						ParentId: 'monitor',
						Code: 'monitor-formula',
						Name: '监测公式',
						Count: 46,
						SortCode: 1,
						Description: '监测公式',
					},
					{
						Children: [],
						Id: 'signal-type',
						ParentId: 'monitor',
						Code: 'signal-type',
						Name: '信号类型',
						Count: 55,
						SortCode: 2,
						Description: '信号类型',
					},
				],
				Id: 'monitor',
				ParentId: 'system',
				Code: 'monitor',
				Name: '监测管理',
				Count: 2,
				SortCode: 2,
				Description: '监测管理',
			},
			{
				Children: [
					{
						Children: [],
						Id: 'supplier',
						ParentId: 'assets',
						Code: 'supplier',
						Name: '厂商管理',
						Count: 2,
						SortCode: 1,
						Description: '厂商管理',
					},
					{
						Children: [],
						Id: 'equipment-modify-type',
						ParentId: 'assets',
						Code: 'equipment-modify-type',
						Name: '变更类型',
						Count: 0,
						SortCode: 2,
						Description: '变更类型',
					},
					{
						Children: [],
						Id: 'equipment-cost-type',
						ParentId: 'assets',
						Code: 'equipment-cost-type',
						Name: '费用类型',
						Count: 0,
						SortCode: 3,
						Description: '费用类型',
					},
				],
				Id: 'assets',
				ParentId: 'system',
				Code: 'assets',
				Name: '资产管理',
				Count: 3,
				SortCode: 3,
				Description: '资产管理',
			},
			{
				Children: [
					{
						Children: [],
						Id: 'health-scheme',
						ParentId: 'health',
						Code: 'health-scheme',
						Name: '评价体系',
						Count: 1,
						SortCode: 1,
						Description: '评价体系',
					},
					{
						Children: [],
						Id: 'health-quota-evaluation-rule',
						ParentId: 'health',
						Code: 'health-quota-evaluation-rule',
						Name: '评价规则',
						Count: 6,
						SortCode: 2,
						Description: '评价规则',
					},
					{
						Children: [],
						Id: 'health-multi-evaluation-model',
						ParentId: 'health',
						Code: 'health-multi-evaluation-model',
						Name: '评价模型',
						Count: 10,
						SortCode: 3,
						Description: '评价模型',
					},
				],
				Id: 'health',
				ParentId: 'system',
				Code: 'health',
				Name: '健康评价',
				Count: 3,
				SortCode: 4,
				Description: '健康评价',
			},
		],
		Id: 'system',
		ParentId: '',
		Code: 'system',
		Name: '系统应用',
		Count: 7,
		SortCode: 1,
		Description: '系统应用',
	},
];

export const SIMPLE_LAYOUT_DATA = {
	nodes: [
		{
			id: 'system',
			shape: 'rect',
			width: 80,
			height: 42,
			attrs: {
				body: {
					stroke: '#5F95FF',
					strokeWidth: 1,
					fill: '#ffffff',
				},
				text: {
					text: '系统应用',
					fontSize: 16,
					fill: '#080808',
					class: 'name',
				},
				count: {
					fontSize: 16,
					text: 7,
					refX: '50%',
					textAnchor: 'middle',
					refY: '75%',
					refY2: 8,
					yAlign: 'bottom',
					fill: '#178901',
				},
			},
			markup: [
				{
					tagName: 'rect',
					selector: 'body',
				},
				{
					tagName: 'text',
					selector: 'text',
				},
				{
					tagName: 'text',
					selector: 'count',
				},
			],
			ports: {
				groups: {
					top: {
						position: 'top',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					bottom: {
						position: 'bottom',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					left: {
						position: 'left',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					right: {
						position: 'right',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
				},
				items: [
					{
						id: 'system-t',
						group: 'top',
					},
					{
						id: 'system-b',
						group: 'bottom',
					},
					{
						id: 'system-l',
						group: 'left',
					},
					{
						id: 'system-r',
						group: 'right',
					},
				],
			},
			children: ['monitor', 'assets', 'health'],
			data: {
				Children: [
					{
						Children: [
							{
								Children: [],
								Id: 'monitor-formula',
								ParentId: 'monitor',
								Code: 'monitor-formula',
								Name: '监测公式',
								Count: 46,
								SortCode: 1,
								Description: '监测公式',
							},
							{
								Children: [],
								Id: 'signal-type',
								ParentId: 'monitor',
								Code: 'signal-type',
								Name: '信号类型',
								Count: 55,
								SortCode: 2,
								Description: '信号类型',
							},
						],
						Id: 'monitor',
						ParentId: 'system',
						Code: 'monitor',
						Name: '监测管理',
						Count: 2,
						SortCode: 2,
						Description: '监测管理',
					},
					{
						Children: [
							{
								Children: [],
								Id: 'supplier',
								ParentId: 'assets',
								Code: 'supplier',
								Name: '厂商管理',
								Count: 2,
								SortCode: 1,
								Description: '厂商管理',
							},
							{
								Children: [],
								Id: 'equipment-modify-type',
								ParentId: 'assets',
								Code: 'equipment-modify-type',
								Name: '变更类型',
								Count: 0,
								SortCode: 2,
								Description: '变更类型',
							},
							{
								Children: [],
								Id: 'equipment-cost-type',
								ParentId: 'assets',
								Code: 'equipment-cost-type',
								Name: '费用类型',
								Count: 0,
								SortCode: 3,
								Description: '费用类型',
							},
						],
						Id: 'assets',
						ParentId: 'system',
						Code: 'assets',
						Name: '资产管理',
						Count: 3,
						SortCode: 3,
						Description: '资产管理',
					},
					{
						Children: [
							{
								Children: [],
								Id: 'health-scheme',
								ParentId: 'health',
								Code: 'health-scheme',
								Name: '评价体系',
								Count: 1,
								SortCode: 1,
								Description: '评价体系',
							},
							{
								Children: [],
								Id: 'health-quota-evaluation-rule',
								ParentId: 'health',
								Code: 'health-quota-evaluation-rule',
								Name: '评价规则',
								Count: 6,
								SortCode: 2,
								Description: '评价规则',
							},
							{
								Children: [],
								Id: 'health-multi-evaluation-model',
								ParentId: 'health',
								Code: 'health-multi-evaluation-model',
								Name: '评价模型',
								Count: 10,
								SortCode: 3,
								Description: '评价模型',
							},
						],
						Id: 'health',
						ParentId: 'system',
						Code: 'health',
						Name: '健康评价',
						Count: 3,
						SortCode: 4,
						Description: '健康评价',
					},
				],
				Id: 'system',
				ParentId: '',
				Code: 'system',
				Name: '系统应用',
				Count: 7,
				SortCode: 1,
				Description: '系统应用',
			},
			x: 70,
			y: 505,
			_order: 0,
		},
		{
			id: 'assets',
			shape: 'rect',
			width: 80,
			height: 42,
			attrs: {
				body: {
					stroke: '#5F95FF',
					strokeWidth: 1,
					fill: '#ffffff',
				},
				text: {
					text: '资产管理',
					fontSize: 16,
					fill: '#080808',
					class: 'name',
				},
				count: {
					fontSize: 16,
					text: 3,
					refX: '50%',
					textAnchor: 'middle',
					refY: '75%',
					refY2: 8,
					yAlign: 'bottom',
					fill: '#178901',
				},
			},
			markup: [
				{
					tagName: 'rect',
					selector: 'body',
				},
				{
					tagName: 'text',
					selector: 'text',
				},
				{
					tagName: 'text',
					selector: 'count',
				},
			],
			ports: {
				groups: {
					top: {
						position: 'top',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					bottom: {
						position: 'bottom',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					left: {
						position: 'left',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
					right: {
						position: 'right',
						attrs: {
							circle: {
								r: 0,
								magnet: false,
								style: {
									visibility: 'hidden',
								},
							},
						},
					},
				},
				items: [
					{
						id: 'assets-t',
						group: 'top',
					},
					{
						id: 'assets-b',
						group: 'bottom',
					},
					{
						id: 'assets-l',
						group: 'left',
					},
					{
						id: 'assets-r',
						group: 'right',
					},
				],
			},
			children: ['supplier', 'equipment-modify-type', 'equipment-cost-type'],
			data: {
				Children: [
					{
						Children: [],
						Id: 'supplier',
						ParentId: 'assets',
						Code: 'supplier',
						Name: '厂商管理',
						Count: 2,
						SortCode: 1,
						Description: '厂商管理',
					},
					{
						Children: [],
						Id: 'equipment-modify-type',
						ParentId: 'assets',
						Code: 'equipment-modify-type',
						Name: '变更类型',
						Count: 0,
						SortCode: 2,
						Description: '变更类型',
					},
					{
						Children: [],
						Id: 'equipment-cost-type',
						ParentId: 'assets',
						Code: 'equipment-cost-type',
						Name: '费用类型',
						Count: 0,
						SortCode: 3,
						Description: '费用类型',
					},
				],
				Id: 'assets',
				ParentId: 'system',
				Code: 'assets',
				Name: '资产管理',
				Count: 3,
				SortCode: 3,
				Description: '资产管理',
			},
			x: 260,
			y: 440,
			_order: 1,
		},
	],
	edges: [
		{
			source: {
				cell: 'system',
				port: 'system-r',
			},
			target: {
				cell: 'assets',
				port: 'assets-l',
			},
			attrs: {
				line: {
					strokeWidth: 2,
					stroke: '#5f95ff',
					strokeDasharray: 0,
					style: {
						animation: 'ant-line 0s infinite linear',
					},
					sourceMarker: null,
					targetMarker: {
						name: 'block',
						width: 12,
						height: 8,
					},
				},
			},
			shape: 'edge',
		},
	],
};
